<!-- These stylesheets are necessary for the layout of your tables -->
<link rel="stylesheet" href="https://unpkg.com/dmn-js@8.3.0/dist/assets/diagram-js.css">
<link rel="stylesheet" href="https://unpkg.com/dmn-js@8.3.0/dist/assets/dmn-js-shared.css">
<link rel="stylesheet" href="https://unpkg.com/dmn-js@8.3.0/dist/assets/dmn-js-drd.css">
<link rel="stylesheet" href="https://unpkg.com/dmn-js@8.3.0/dist/assets/dmn-js-decision-table.css">
<link rel="stylesheet" href="https://unpkg.com/dmn-js@8.3.0/dist/assets/dmn-js-decision-table-controls.css">
<link rel="stylesheet" href="https://unpkg.com/dmn-js@8.3.0/dist/assets/dmn-js-literal-expression.css">
<link rel="stylesheet" href="https://unpkg.com/dmn-js@8.3.0/dist/assets/dmn-font/css/dmn.css">


&nbsp;&nbsp;&nbsp;&nbsp;
<button pButton (click)="uploader.click()">
    Upload Model
</button>
&nbsp;&nbsp;&nbsp;&nbsp;
<button pButton (click)="downloadFile($event)">
    Download Model
</button>
&nbsp;&nbsp;&nbsp;&nbsp;
<button pButton (click)="resetModel($event)">
    New Model
</button>
&nbsp;&nbsp;&nbsp;&nbsp;
<button pButton (click)="checkModel($event)">
    Check Table
</button>
&nbsp;&nbsp;&nbsp;&nbsp;
<p-progressSpinner *ngIf="idpService.openCalls > 0" [style]="{width: '40px', height: '40px', marginLeft: '2em'}"
              animationDuration=".5s"
              fill="#EEEEEE" strokeWidth="8">
</p-progressSpinner>
<br/>

<!-- The container which the modeller will attach to. -->
<div id="dmn-container" style="height: 70%;"></div>

<div *ngIf="!this.tableStatus">&nbsp;</div>
<div *ngIf="this.tableStatus">{{this.tableStatus}}</div>

  <ng-container *ngIf="verificationOutput">
    <table class="table">
    <tr *ngFor="let row of verificationOutput">
        <td *ngFor="let cell of row" class="cell">
          {{cell}}
        </td>
      </tr>
    </table>
  </ng-container>


<!-- Used as input when uploading a file -->
<input
    hidden
    type="file"
    #uploader
    (change)="uploadFile($event)"
/>
